/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */
/**
 * @module template/templateui
 */
import { Plugin } from 'ckeditor5/src/core.js';
import '../theme/template.css';
/**
 * The UI plugin of the template feature.
 *
 * It registers the `'insertTemplate'` UI dropdown in the editor's {@link module:ui/componentfactory~ComponentFactory component factory}
 * that displays a list of templates and allows to insert them into the editor content.
 */
export default class TemplateUI extends Plugin {
    /**
     * @inheritDoc
     */
    static get pluginName(): "TemplateUI";
    /**
     * @inheritDoc
     */
    init(): void;
    /**
     * @inheritDoc
     */
    afterInit(): void;
}
